# Acquisition of offer associated with Advertiser

| HTTP method | Endpoint                               |
| ----------- | -------------------------------------- |
| **GET**     | **/v1/offers/{offer\_id}/advertisers** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters-4" id="response-body-parameters-4"></a>

| Field                     | Type    | Description                                              |
| ------------------------- | ------- | -------------------------------------------------------- |
| id                        | integer | A string that uniquely identifies this advertiser.       |
| first\_name               | string  | The first\_name of the this Advertiser.                  |
| last\_name                | string  | The last\_name of the this Advertiser.                   |
| email                     | string  | The email of the this Advertiser.                        |
| company                   | string  | The company of the this Advertiser.                      |
| country                   | string  | The country of the Advertiser's physical address.        |
| status                    | string  | Advertiser status.                                       |
| instant\_message\_account | string  | Instant messaging account.                               |
| instant\_message\_type    | integer | types of instant messaging.                              |
| manager\_id               | integer | Account Manager ID.                                      |
| phone                     | string  | The phone number of the Advertiser.                      |
| website                   | string  |                                                          |
| security\_mode            | integer | selection to activate security code.   0：close ;  1：open |
| security\_code            | string  | conversion security code                                 |
| create\_time              | integer | Create time                                              |

## Example request <a href="#example-request-4" id="example-request-4"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offers/3147/advertisers>

## Example response <a href="#example-response-4" id="example-response-4"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "advertiser": {
          "id": 147,
          "offer_id": 3147,
          "email": "testadv@test.com",
          "first_name": "offer",
          "last_name": "test",
          "country": "Indonesia",
          "status": "active",
          "website": "http://www.baidu.com",
          "create_time": 1426486111,
          "company": "li",
          "phone": "111222244",
          "manager_id": 12,
          "instant_message_type": 5,
          "instant_message_account": "",
          "security_mode": 0,
          "security_code": ""
        }
      }
    }
```
